Subject: Re: bug#34580: Service ssh-daemon could not be started

From: Leo Famulari <[email-masked]>
Date: Wed, 20 Feb 2019 18:56:34 -0500

On Thu, Feb 21, 2019 at 12:08:07AM +0100, Andreas Enge wrote:
> It looks as if ssh-keygen takes too long; this is called from
> openssh-activation in services/ssh.scm, with a comment
> "Generate missing host keys". Are these regenerated at each boot?
> If yes, is there a race condition, one action not waiting for the
> previous one to finish?

The host keys should not be regenerated on each boot.  Wouldn't we
notice if they were, since our SSH clients would complain about them
having changed?